View Issue Details

IDProjectCategoryView StatusLast Update
06226Bug reportsSurvey takingpublic2012-06-22 15:46
ReporterTmac Assigned ToDenisChenu  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version1.92+ 
Fixed in Version1.92+ 
Summary06226: Only get "End Message" if you want to redo a completed Survey
DescriptionI have enabled 'token based persistence' and in the past was able to allow users to edit their last response. (public survey) Now after version upgrade, the user is able to complete the survey only once. Attempting to repeat the survey results in the 'End Message' being displayed.
Steps To ReproduceMake a new token and do the survey and see that you get the 'end messsage' as expected. Edit the same token and set the completed date to 'N', number of uses to > 1, invites and reminders, validity etc to default (ie as for new token) and attempt to "DO SURVEY" once more either with the button on the token table or via the user/token URL and in my case I get the 'end message' only, never back to the start of survey.
I have tried different browsers/clearing cookies etc.

TagsNo tags attached.
Complete LimeSurvey version number (& build)120613
I will donate to the project if issue is resolvedNo
BrowserChrome & Safari & others
Database & DB-VersionMySQL
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP VersionPHP Version 5.3.3-7+squeeze8

Relationships

has duplicate 06229 closedDenisChenu Cannot edit answer (token and edit answers after submitting activated) 
child of 06140 closedTMSWhite Survey doesn't start from where it was left on Token Persistence 

Activities

DenisChenu

DenisChenu

2012-06-18 09:43

developer   ~19298

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8759
DenisChenu

DenisChenu

2012-06-18 13:58

developer   ~19308

Stable: http://git.io/DUhR0Q
Yii : http://git.io/oGUetA
c_schmitz

c_schmitz

2012-06-20 14:08

administrator   ~19394

New 1.92+ version released.
DenisChenu

DenisChenu

2012-06-22 15:46

developer   ~19471

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8831

Related Changesets

LimeSurvey: master 3af73b4a

2012-06-18 00:41:46

DenisChenu

Details Diff
Fixed issue 06226 & 06229: Only end message with Cannot edit answer (token and edit answers after submitting activated)
Dev: only load lastpage if submitdate == ''
Dev: new functionnality : link to do survey with allowalloweditaftercompletion
Affected Issues
06226
mod - admin/tokens.php Diff File
mod - index.php Diff File

LimeSurvey: Yii 16be365a

2012-06-22 06:44:38

DenisChenu

Details Diff
Fixed issue 06210 Inconsistent database after deleting a file by "clear & exit" button
Dev : review fixed issue 06226 & 06229
Dev : show clear and exit button only if token aren't used for survey with alloweditaftercompletion
Dev : test if we delete the DB line before delete it and remove the files
Affected Issues
06210, 06226
mod - application/controllers/survey/index.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File

Issue History

Date Modified Username Field Change
2012-06-17 09:18 Tmac New Issue
2012-06-18 09:36 DenisChenu Assigned To => DenisChenu
2012-06-18 09:36 DenisChenu Status new => assigned
2012-06-18 09:37 DenisChenu Relationship added has duplicate 06229
2012-06-18 09:38 DenisChenu Relationship added child of 06140
2012-06-18 09:43 DenisChenu Changeset attached => LimeSurvey master 3af73b4a
2012-06-18 09:43 DenisChenu Note Added: 19298
2012-06-18 09:43 DenisChenu Resolution open => fixed
2012-06-18 13:58 DenisChenu Note Added: 19308
2012-06-18 13:58 DenisChenu Status assigned => resolved
2012-06-18 13:58 DenisChenu Fixed in Version => 1.92+
2012-06-20 14:08 c_schmitz Note Added: 19394
2012-06-20 14:08 c_schmitz Status resolved => closed
2012-06-22 15:46 DenisChenu Changeset attached => LimeSurvey Yii 16be365a
2012-06-22 15:46 DenisChenu Note Added: 19471